Jump to content

[1.5] Real Fuels v12.7.3


Recommended Posts

On 5/22/2017 at 2:16 AM, Gordon Dry said:

I already mentioned your post over there.

I'll give it a try with just deleting the @

That would be incorrect.
The problem is not in the entry for RO.
The problem is in the first LINE in that file I believe. But I don't have any Free time to test it right now.
 

@PART[*]:HAS[@MODULE[ModuleCommand],!MODULE[MechJebAR202],!MODULE[MechJebPod]]:NEEDS[AmpYear!RealismOverhaul]

should be:

@PART[*]:HAS[@MODULE[ModuleCommand],!MODULE[MechJebAR202],!MODULE[MechJebPod]]:NEEDS[AmpYear]

 

Link to post
Share on other sites
1 minute ago, JPLRepo said:

That would be incorrect.
The problem is not in the entry for RO.
The problem is in the first LINE in that file I believe. But I don't have any Free time to test it right now.
 

@PART[*]:HAS[@MODULE[ModuleCommand],!MODULE[MechJebAR202],!MODULE[MechJebPod]]:NEEDS[AmpYear!RealismOverhaul]

should be:

@PART[*]:HAS[@MODULE[ModuleCommand],!MODULE[MechJebAR202],!MODULE[MechJebPod]]:NEEDS[AmpYear]

 

It seems wrong to me.  You are creating a new RESOURCE node but modifying values within it using @?

Link to post
Share on other sites
2 hours ago, blowfish said:

It seems wrong to me.  You are creating a new RESOURCE node but modifying values within it using @?

The first entry adds the default values for AmpYear.
The second one should modify those if RealismOverhaul is installed.

(edit) - OR, you could leave the first entry to run if AmpYear and NOT RealismOverhaul.

Have the second one run if Ampyear AND RealismOverhaul but change it so it's not modifying (removing the @'s). But as that was tried, I don't understand why that didn't work.

 

(2nd edit) - I figured it out. will fix in new version of AmpYear.

Link to post
Share on other sites
  • 2 weeks later...
6 minutes ago, Albert7df said:

Does some one now what real fuels versionishould use for ksp 1.2.0?

v12.1.0 is not working on ksp 1.2.0. It show e message of imcompatible version.

 

Thanks in advance.

Is there a particular reason you're on KSP 1.2.0?  Pretty much all mods that worked on that version should also work on 1.2.2.  There was no release of RF for KSP 1.2.0

Link to post
Share on other sites

So, I want to add a new type of oxidizer to allow me to make an accurate patch to recreate the North American Rockwell Mars Excursion Module proposal, which would have used an oxidizer called FLOX, which is a mix of 82.5% fluorine and 17.5% liquid oxygen. Theoretically, I could just model it as some sort of tripropellant engine, but that feels very unrealistic and wrong, so I don't want to. So, how do I make a new oxidizer that would be recognized as a valid fuel type for the tanks edited by this mod and Realism Overhaul?

Link to post
Share on other sites
1 hour ago, Fox62 said:

So, I want to add a new type of oxidizer to allow me to make an accurate patch to recreate the North American Rockwell Mars Excursion Module proposal, which would have used an oxidizer called FLOX, which is a mix of 82.5% fluorine and 17.5% liquid oxygen. Theoretically, I could just model it as some sort of tripropellant engine, but that feels very unrealistic and wrong, so I don't want to. So, how do I make a new oxidizer that would be recognized as a valid fuel type for the tanks edited by this mod and Realism Overhaul?

Look in the RealFuels/Resources/RealTankTypes.cfg file

You will find TANK nodes each one containing TANK_DEFINITION

Each TANK that you want to have a FLOX tank needs to be patched to add a TANK_DEFINITION Since it's  cryogenic it needs a temperature field designating the temperature at which it boils

The RESOURCE_DEFINITION for it should also be given a vsp field which is the latent heat of vaporization 

Look at the examples in the file for LqdOxygen to see how to set up the TANK_DEFINITION

Let me know if you have other questions!

Link to post
Share on other sites
1 hour ago, Wolves_Hero said:

Game crashed to desktop error message while loading screen on 1.3, I deleted this mod no crash because this mod outdated. Can't play without real fuel mod.

Yes, outdated plugins tend to cause crashes in 1.3.  Stick to 1.2.2 for now, but I'll look at updating this soonish.

Link to post
Share on other sites

I am eagerly awaiting the 1.3 update. I love this mod, I just wish Kerbalism would play nice with it. I also wish I could figure out how to effectively hot-stage so I don't always have to use ullage. Keep up the amazing work, guys!!!

Edited by DJ Reonic
stupid autocorrect
Link to post
Share on other sites

Hmm. Perhaps this is a hint in a roundabout way that this feature will be implemented in a totally new MFS (so back to the roots) that is working with stock and RO as well - so no more split into MFT for stock and RF for RO?

Link to post
Share on other sites
4 minutes ago, Gordon Dry said:

Hmm. Perhaps this is a hint in a roundabout way that this feature will be implemented in a totally new MFS (so back to the roots) that is working with stock and RO as well - so no more split into MFT for stock and RF for RO?

No.

Link to post
Share on other sites

Some posts have been trimmed from this thread. 

Asking about updates is only against forum rules if it's done rudely, guys. There's no need to be nasty to a forum newbie simply for asking a question, even if it's a question you have seen many times before. We were all newbies here once, and we will all be newbies again the next time we join another forum. Please try to treat newbies the way you yourself would like to be treated. 

Link to post
Share on other sites

Question for creating my own engine configs:

Is the fuel mixture ratio mass, volume, or stoichiometric? I see ratios on engines (on Wikipedia or whatever) usually listed as a positive number like 5.5, or as a ratio like 0.61 to 0.39. Are these the ratios I should be using or do I need to convert something?

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...